# Default image (https://hub.docker.com/_/microsoft-dotnet-core-sdk/)
image: mcr.microsoft.com/dotnet/core/sdk:3.1

stages:
  - build
  - test

before_script:
  - dotnet --version

# Build
build_project:
  stage: build
  # Windows-based docker images for .NET Framework:
  # https://hub.docker.com/_/microsoft-dotnet-framework-sdk/
  image: mcr.microsoft.com/dotnet/framework/sdk:4.8
  tags: [windows]
  script:
    - dotnet build ScaraBattle

# Test
test_project:
  stage: test
  image: mcr.microsoft.com/dotnet/framework/sdk:4.8
  tags: [windows]
  script:
    - dotnet test ScaraBattleTest
